From 4b41c5483027a8de70ef2073a1eed48e8a7f6a24 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Mon, 6 Apr 2020 11:41:30 +0800
Subject: [PATCH 32/77] virsh_change_media_matrix:ide controllers are
 unsupported for aarch64

IDE controllers are unsupported for aarch64,so set sata bus for it.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 .../tests/src/virsh_cmd/domain/virsh_change_media_matrix.py    | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_change_media_matrix.py b/libvirt/tests/src/virsh_cmd/domain/virsh_change_media_matrix.py
index 4e554e20..9a0877a5 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_change_media_matrix.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_change_media_matrix.py
@@ -1,6 +1,7 @@
 import os
 import time
 import logging
+import platform
 from virttest import virsh
 from virttest import data_dir
 from virttest.libvirt_xml import vm_xml
@@ -169,6 +170,8 @@ def run(test, params, env):
     options = params.get("change_media_options")
     options_twice = params.get("change_media_options_twice", "")
     device_type = params.get("change_media_device_type", "cdrom")
+    if "aarch" in platform.machine():
+        params["change_media_target_bus"] = "sata"
     target_bus = params.get("change_media_target_bus", "ide")
     target_device = params.get("change_media_target_device", "hdc")
     init_iso_name = params.get("change_media_init_iso")
-- 
2.23.0

